AlertCondition (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertCondition class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class AlertCondition

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.events.server.session.AlertCondition

All Implemented Interfaces:
  java.io.Serializable

    public class AlertCondition

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `AlertCondition()`

Method Summary
`AlertConditionValue` | `getAlertConditionValue()`
`AlertDefinition` | `getAlertDefinition()`
`java.lang.String` | `getComparator()`
`java.util.Collection` | `getLogEntries()`
`protected java.util.Collection` | `getLogEntriesBag()`
`int` | `getMeasurementId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOptionStatus()`
`double` | `getThreshold()`
`RegisteredTrigger` | `getTrigger()`
`int` | `getType()`
`boolean` | `isRequired()`
`void` | `setAlertConditionValue(AlertConditionValue val)`
`protected void` | `setAlertDefinition(AlertDefinition alertDefinition)`
`protected void` | `setComparator(java.lang.String comparator)`
`protected void` | `setLogEntriesBag(java.util.Collection logEntries)`
`protected void` | `setMeasurementId(int measurementId)`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setOptionStatus(java.lang.String optionStatus)`
`protected void` | `setRequired(boolean required)`
`protected void` | `setThreshold(double threshold)`
`protected void` | `setTrigger(RegisteredTrigger trigger)`
`protected void` | `setType(int type)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertCondition

    protected AlertCondition()

Method Detail

### getType

    public int getType()

### setType

    protected void setType(int type)

### isRequired

    public boolean isRequired()

### setRequired

    protected void setRequired(boolean required)

### getMeasurementId

    public int getMeasurementId()

### setMeasurementId

    protected void setMeasurementId(int measurementId)

### getName

    public java.lang.String getName()

### setName

    protected void setName(java.lang.String name)

### getComparator

    public java.lang.String getComparator()

### setComparator

    protected void setComparator(java.lang.String comparator)

### getThreshold

    public double getThreshold()

### setThreshold

    protected void setThreshold(double threshold)

### getOptionStatus

    public java.lang.String getOptionStatus()

### setOptionStatus

    protected void setOptionStatus(java.lang.String optionStatus)

### getAlertDefinition

    public AlertDefinition getAlertDefinition()

### setAlertDefinition

    protected void setAlertDefinition(AlertDefinition alertDefinition)

### getTrigger

    public RegisteredTrigger getTrigger()

### setTrigger

    protected void setTrigger(RegisteredTrigger trigger)

### getLogEntries

    public java.util.Collection getLogEntries()

### getLogEntriesBag

    protected java.util.Collection getLogEntriesBag()

### setLogEntriesBag

    protected void setLogEntriesBag(java.util.Collection logEntries)

### getAlertConditionValue

    public AlertConditionValue getAlertConditionValue()

### setAlertConditionValue

    public void setAlertConditionValue(AlertConditionValue val)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.